[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: latest kde 3.1.2



On Tue, 20 May 2003 22:49:22 -0600
tech@bishop.dhs.org wrote:

> On Tue, May 20, 2003 at 10:37:01PM -0500, Chris Cheney wrote:
> > On Tue, May 20, 2003 at 11:07:11AM -0600, David Bishop wrote:
> > > Is there any way to install the latest kde development packages alongside 
> > > XFree86 4.3?  It seems to be looking for a -pic package that doesn't exist 
> > > for me.
> > 
> > Unless it is possible to install xlibs-pic while xfree 4.3 is installed
> > it probably won't work. KDE has to be compiled against xlibs-pic until
> > xfree 4.3 goes into Debian otherwise it fails to build on several archs.
> > With xfree 4.3 finally all libraries are compiled with -fPIC so it will
> > no longer be needed for it.
> 
> I took the cvs-debs route.  Now, if only KMail would stop acting oddly,
> I would be perfectly happy :-)
It would be even better if it worked!!! I have tried to update my kde to 3.1.2 but I couldn't install it because of dependencie problems:
libqt3-mt conflicts with libqt3c102-mt and both are needed to install kdebase 3.1.2
So I tried to come back to 3.1.1 but even if I change ...../latest/Debian ... into ...../3.1.1/Debian ... it still installs 3.1.2 but with some parts from 3.1.1. That's crazy.
And Kmail is installed version 3.1.1 in a 3.1.2 kde version. and I thit that's what causes Kmail crashes:
$ kmail
kmail: relocation error: kmail: undefined symbol: _ZN8DwString4nposE
$
If someone knows what to do whith it or has had tthe same problem.
I wouldn't refuse help since I like kmail very much (when it works ;-)

bye

--
germs

Attachment: pgpsWMviUUKrf.pgp
Description: PGP signature


Reply to: